Bug 928429 - Potential crash during startup/reload if global configuration options are set
Summary: Potential crash during startup/reload if global configuration options are set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bind-dyndb-ldap
Version: 6.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Adam Tkac
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On: 923113
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-27 16:07 UTC by Libor Miksik
Modified: 2013-04-15 07:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The bind-dyndb-ldap plug-in processed settings too early, which led to the daemon terminating unexpectedly with a segmentation fault during startup or reload. The bind-dyndb-ldap plug-in has been fixed to process its options later, and so, no longer crashes during startup or reload.
Clone Of:
Environment:
Last Closed: 2013-04-15 07:45:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0739 normal SHIPPED_LIVE bind-dyndb-ldap bug fix update 2013-04-15 11:45:06 UTC

Description Libor Miksik 2013-03-27 16:07:50 UTC
This bug has been copied from bug #923113 and has been proposed
to be backported to 6.4 z-stream (EUS).

Comment 7 Namita Soman 2013-04-08 16:09:30 UTC
On 6.4 - with no fix - tried to see the issue but not successful. Steps I tried:
# ipa dnsconfig-mod --allow-sync-ptr=TRUE
  Allow PTR sync: TRUE

# service named restart
Stopping named: .                                          [  OK  ]
Starting named:                                            [  OK  ]

# rpm -qa ipa-server
ipa-server-3.0.0-25.el6.x86_64

/etc/named.conf - is in its default state - no edits there.


Can you please give steps to see the issue and then to verify it on system with the fix?

Comment 9 Namita Soman 2013-04-08 18:06:03 UTC
Tested using:
ipa-server-3.0.0-26.el6_4.2.x86_64
bind-dyndb-ldap-2.3-2.el6_4.1.x86_64

# ipa dnsconfig-mod --allow-sync-ptr=TRUE
  Allow PTR sync: TRUE

# service named restart
Stopping named: .[  OK  ]
Starting named: [  OK  ]

Not seeing the behaviour reported above.

Comment 10 Namita Soman 2013-04-10 14:54:14 UTC
Verifying Sanity Only

Comment 12 errata-xmlrpc 2013-04-15 07:45:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0739.html


Note You need to log in before you can comment on or make changes to this bug.